package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class PaddedNumberField implements FastDatePrinter.NumberRule {
  private final int mField;
  
  private final int mSize;
  
  PaddedNumberField(int field, int size) {
    if (size < 3)
      throw new IllegalArgumentException(); 
    this.mField = field;
    this.mSize = size;
  }
  
  public int estimateLength() {
    return this.mSize;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    appendTo(buffer, calendar.get(this.mField));
  }
  
  public final void appendTo(Appendable buffer, int value) throws IOException {
    FastDatePrinter.access$100(buffer, value, this.mSize);
  }
}
